clear all
close all
geofile='condenser.geo';
np=5; % number of partitions
fprintf('1. Building a mesh file by using :\n')
fprintf('   -> gmsh version %s\n',gmsh.version())
fprintf('   -> geo file : %s\n',geofile);
meshfile=gmsh.buildmesh(geofile,20,'verbose',4,'force',true);
fprintf('   -> msh file : %s\n',meshfile);
fprintf('2. Building partitioned mesh file\n')
fprintf('   -> number of partitions : %d\n',np);
pmfile=gmsh.buildpartmesh(meshfile,np,'verbose',2);
fprintf('   -> partitioned msh file : %s\n',pmfile);
Gh=ooGmsh(meshfile);
pGh=ooGmsh(pmfile);
p2g=Gh.phy2geo();

for i=1:length(pGh.sElts)
  %kGh=find([Gh.sElts(:).type]==pGh.sElts(i).type);
  kp=find(cellfun(@(x) x.type,p2g)==pGh.sElts(i).type);
  ngl=length(p2g{kp}.geo_labs);
  for j=1:ngl
    idx=find(pGh.sElts(i).geo_lab==p2g{kp}.geo_labs(j));
    pGh.sElts(i).phys_lab(idx)=p2g{kp}.toPhys(j);
  end
end

